import type { CheckedPropType, IndeterminatePropType, InputCheckboxIconsProp, InputCheckboxProps, InputCheckboxVariant, InputCheckboxWatches, LabelAlignPropType, StencilUnknown, Stringified } from '../../schema';
import { InputCheckboxRadioController } from '../input-radio/controller';
import type { Generic } from 'adopted-style-sheets';
export declare class InputCheckboxController extends InputCheckboxRadioController implements InputCheckboxWatches {
    protected readonly component: Generic.Element.Component & InputCheckboxProps;
    constructor(component: Generic.Element.Component & InputCheckboxProps, name: string, host?: HTMLElement);
    readonly setFormAssociatedCheckboxValue: (value: StencilUnknown) => void;
    validateChecked(value?: CheckedPropType): void;
    validateIcons(value?: Stringified<InputCheckboxIconsProp>): void;
    validateIndeterminate(value?: IndeterminatePropType): void;
    validateLabelAlign(value?: LabelAlignPropType): void;
    validateValue(value?: Stringified<StencilUnknown>): void;
    validateVariant(value?: InputCheckboxVariant): void;
    componentWillLoad(): void;
}
